#!/usr/bin/env python
# -*- coding UTF-8 -*-

"""Main file
"""

import pygtk
pygtk.require('2.0')
import code.PluginDataBase
import code.Interface
import gettext


def main():
    """Run methods to load plugins and create interface.
    @author: Bartosz 'Perfekcik' Alchimowicz
    """
    
    db = code.PluginDataBase.PluginDataBase()
    pluginDB = db.getPluginDataBase()
    callbacks = code.Callbacks.Callbacks(pluginDB)
    base = code.Interface.Interface(pluginDB, callbacks)
    base.createWindow()
    base.setText(_('Welcome'), _('This is Aurox Config Center, program created to help you with configuration of everything in your computer.\n\nTo start, select program from the right list. You can run program by double click on his name or use the run button.\n\nHave a nice work :)\n'))
    base.showWindow()

if __name__ == "__main__":
    gettext.install('acc', './locale', unicode=False)

    try:
        main()
    except KeyboardInterrupt:
	pass
    except:
	print _('An error occured during work :(\nNo plugins?')
